header {
    display: flex;
    /* position: sticky; */
    justify-content: center;
    height: 4.375em;
    background-color: var(--color-background-snow);
    align-items: center;
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    border-bottom: none;
    transition: border-bottom 0.5s ease;
    z-index: 9999;
}

header.scroll {
    border-bottom: solid 0.125rem var(--color-secondary-grey);
    height: 4.5rem;
}

header.scrollVerder {
    justify-content: space-between;
    padding-left: 1em;
    padding-right: 1em;
}

header img {
    height: 2.375em;
}

main {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    text-align: center;
    /* padding-top: 10em; */
    /* padding-left: 1.5em;
	padding-right: 1.5em; */
}

main img {
    width: 75dvw;
    max-width: 25rem;
}

section {
    margin-bottom: 3em;
    padding-left: 1.5em;
    padding-right: 1.5em;
}

h1 {
    font-family: DINNext, Arial, Helvetica, sans-serif;
    font-weight: 500;
    /* margin-bottom: 3em; */
    font-size: 2em;
    height: 20vh;
}

h2 {
    text-transform: lowercase;
    font-family: Feather, Arial, Helvetica, sans-serif;
    color: var(--color-feather-green);
    font-size: 2.3em;
    letter-spacing: 0.03em;
}

p {
    font-size: 1.15em;
    font-weight: 300;
    line-height: 1.5rem;
}

main section:first-of-type {
    display: grid;
    grid-template-rows: 50% 1fr max-content max-content;
    height: 100dvh;
    flex-direction: column;
    justify-items: center;
}

main section:first-of-type img {
    align-self: end;
    order: -1;
}

/* KNOPPEN */

section>a,
header a {
    text-transform: uppercase;
    color: var(--color-background-snow);
    background-color: var(--color-feather-green);
    box-shadow: 0 0.25rem 0 var(--color-buttonborder-green);
    border-radius: var(--button-border-radius);
    height: 3.125em;
    width: 20.625rem;
    max-width: 95dvw;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 500;
    letter-spacing: 0.05em;
    margin-bottom: 1em;
    font-size: 0.95em;
}

section>a:hover,
header a:hover {
    filter: brightness(104%);
}

section p a {
    color: var(--color-secondary-blue);
    font-weight: 500;
    cursor: pointer;
}

a:active {
    box-shadow: none;
    transform: translateY(0.25rem) translateZ(0);
    outline: none;
}

main a:nth-of-type(2),
section:nth-of-type(6) a {
    text-transform: uppercase;
    border-radius: var(--button-border-radius);
    height: 3.125em;
    width: 20.625rem;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 500;
    letter-spacing: 0.05em;
    margin-bottom: 1em;
    background-color: var(--color-background-snow);
    border: 2px solid var(--color-secondary-grey);
    color: var(--color-secondary-blue);
    box-shadow: 0 0.125rem 0 var(--color-secondary-grey);
    font-size: 0.95em;
}

a:nth-of-type(2):active,
section:nth-of-type(6) a:active {
    box-shadow: none;
    transform: translateY(0.125rem) translateZ(0);
    outline: none;
}

header a {
    height: 2.5em;
    width: auto;
    padding: 1em;
    margin: 0;
}

/* learnanywhere section */
section:nth-of-type(4) {
    flex-direction: column;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100dvh;
    padding: 0;
}

section:nth-of-type(4) h2 {
    color: var(--color-text-marine);
}


section:nth-of-type(4) a {
    display: grid;
    grid-template-columns: 3.75rem 7.5rem;
    grid-template-rows: 50% 50%;

    width: 11.25rem;
    height: 3.75rem;

    background-color: var(--color-background-snow);
    border: 2px solid var(--color-secondary-grey);
    color: var(--color-secondary-blue);
    box-shadow: 0 0.125rem 0 var(--color-secondary-grey);

    width: fit-content;
    text-align: start;
    z-index: 10;
}

section:nth-of-type(4) a:active {
    box-shadow: none;
    transform: translateY(0.125rem) translateZ(0);
    outline: none;
}

section:nth-of-type(4) a img {
    order: -1;
    grid-row: span 2;
    place-self: center;
    width: 2.125rem;
    height: 2.125rem;
}

section:nth-of-type(4) p {
    margin: 0;
    align-self: start;
    text-transform: none;
    font-weight: 600;
    color: var(--color-text-eel);
}

section:nth-of-type(4) p:first-of-type {
    font-size: 0.9em;
    align-self: end;
}

section:nth-of-type(4)>img {
    width: 100dvw;
    height: 65dvh;
    margin-top: -10dvh;
    margin-bottom: -20dvh;
    object-fit: cover;
    object-position: -5rem;
    max-width: none;
}

/* Superduolingo section */

section:nth-of-type(5) {
    flex-direction: column;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100dvh;
    width: 100%;
    background-color: var(--color-superduolingo);
}

section:nth-of-type(5) img:nth-of-type(2) {
    order: -1;
}

section:nth-of-type(5) img {
    margin-bottom: 2.5em;
    width: 100%;
    max-width: 30em;
}

section:nth-of-type(5) a {
    color: var(--color-superduolingo);
    background-color: var(--color-white);
    box-shadow: 0 0.25rem 0 var(--color-superduolingo-buttonshadow);
}

section:nth-of-type(5) a:active {
    box-shadow: none;
    outline: none
}

section:nth-of-type(6),
section:nth-of-type(7) {
    display: flex;
    flex-direction: column;
    align-items: center;
}

section:nth-of-type(7) {
    z-index: 10;
}

section:nth-of-type(7) {
    padding: 0;
    margin: 0;
}

section:nth-of-type(7) img {
    width: 100dvw;
    height: 40dvh;
    margin-top: -10dvh;
    margin-bottom: -0.1rem;
    object-fit: cover;
    max-width: none;
    z-index: -1;
}

footer {
    background-color: var(--color-feather-green);
    margin: 0;
    padding: 2em;
    padding-top: 5em;
}

footer h3 {
    color: var(--color-footer-heading);
    font-size: 1.2em;
}

footer ul {
    list-style-type: none;
    padding: 0;
    gap: 0.75;
}

footer ul li {
    margin-bottom: 0.75em;
    font-weight: 600;
}

footer ul li a {
    color: var(--color-footer-p);
}

footer ul li a:hover {
    filter: brightness(120%);
}

footer ul li a:active {
    filter: brightness(90%);
    outline: none;
}

footer ul li a:visited {
    filter: brightness(70%);
    color: var(--color-footer-p-visited);
}

footer h3:last-of-type {
    font-size: 1em;
    margin-top: 2em;
}

footer ul:last-of-type {
    display: flex;
    flex-wrap: wrap;
    gap: 0.5em;
}

footer img {
    width: 4rem;
    height: 4rem;
}

/* Class voor het verbergen en laten zien van de skip to content button */
header a:first-of-type {
    left: 0;
    padding: 0.5em;
    position: absolute;
    transform: translateX(-300%);
}

header a:first-of-type:focus {
    transform: translateX(0%);
}

@media (prefers-color-scheme: dark) {
    section:nth-of-type(4) a img {
        filter: brightness(100);

    }

    section>a:hover,
    header a:hover {
        filter: brightness(120%);
    }
}

@media (prefers-contrast: more) {
    * {
        box-shadow: none !important;
        background-color: #000000 !important;
        color: #FFFFFF !important;
    }

    a {
        border: 0.125em solid #FF00FF !important;
    }

    header.scroll {
        border-bottom: 0.125em solid #FFFFFF !important;
    }

    p a {
        color: #FFFF00 !important;
        border: none !important;
    }

    footer a {
        border: none !important;
        color: #FFFF00 !important;
    }

    header img {
        filter: saturate(0%) brightness(200%);
    }
}